unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, Buttons, StdCtrls, CustSaveIt, ComCtrls,
  AlmostSave, MultiSaveItReg, GenericSave;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    Open1: TMenuItem;
    Panel1: TPanel;
    OpenButton: TSpeedButton;
    MultiSaveIt1: TMultiSaveIt;
    Close1: TMenuItem;
    PictureSaveItGroup: TMultiSaveItGroup;
    BitmapSaveItType: TMultiSaveItType;
    IconSaveItType: TMultiSaveItType;
    wmfSaveItType: TMultiSaveItType;
    Image1: TImage;
    CloseButton: TSpeedButton;
    GroupBox1: TGroupBox;
    Panel2: TPanel;
    PageControl1: TPageControl;
    TabSheet4: TTabSheet;
    Memo4: TMemo;
    TabSheet2: TTabSheet;
    Memo2: TMemo;
    TabSheet5: TTabSheet;
    Memo5: TMemo;
    procedure Exit1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure BitmapSaveItTypeDataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure Open1Click(Sender: TObject);
    procedure MultiSaveIt1AllowClose(Sender: TObject; Allowed: Boolean);
    procedure BitmapSaveItTypeFileClosed(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

// *** Begin Ignorable Code ***

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
  MultiSaveIt1.Close;
end;

// *** End Ignorable Code ***

// *** Begin Important Code ***

procedure TForm1.BitmapSaveItTypeDataLoad(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  Image1.Picture.LoadFromFile(FileName);
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
  MultiSaveIt1.Open;
end;

procedure TForm1.MultiSaveIt1AllowClose(Sender: TObject; Allowed: Boolean);
begin
  Close1.Enabled := Allowed;
  CLoseButton.Enabled := Allowed;
end;

procedure TForm1.BitmapSaveItTypeFileClosed(Sender: TObject);
begin
  Image1.Picture.Bitmap := nil; // Clear Picture
end;

// *** End Important Code ***

end.
